[SciPy-User] Trouble installing scipy after upgrading to Mac OS X 10.7 aka Lion

Ben Willmore bdeb@willmore...
Tue Aug 16 07:06:14 CDT 2011


Hi Bill,

As Ralf mentioned, the veclib_cabi_c.c (etc) problem you have has been fixed. But, even with new checkouts of scipy, I found that simply running 'python setup.py install' did not result in a version of scipy that worked correctly on Mac OSX 10.7 (for example, using scipy.fftpack, ifft(fft(signal)) != signal, problems with single precision vector arithmetic, failures and a crash in ARPACK tests). I was able to fix these by setting:

export CC=gcc-4.2
export CXX=g++-4.2
export FFLAGS=-ff2c

before running setup.py. Complete details at the links below.

Ben


[1] http://article.gmane.org/gmane.comp.python.scientific.devel/15349
[2] http://willmore.eu/blog/?p=5



More information about the SciPy-User mailing list